This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 544821 - Review Request: php-gettext - Gettext emulation in php
Review Request: php-gettext - Gettext emulation in php
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 508817
  Show dependency treegraph
 
Reported: 2009-12-06 11:56 EST by David Nalley
Modified: 2011-07-31 17:23 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.0.9-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-01 20:16:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
felix: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Nalley 2009-12-06 11:56:42 EST
Spec URL: http://ke4qqq.fedorapeople.org/php-gettext.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-gettext-1.0.9-1.fc12.src.rpm
Description: 
This library provides PHP functions to read MO files even when gettext is
not compiled in or when appropriate locale is not present on the system.
Comment 1 David Nalley 2009-12-06 12:32:40 EST
Incorrect license specified: 

Spec URL: http://ke4qqq.fedorapeople.org/php-gettext.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-gettext-1.0.9-2.fc12.src.rpm
Comment 2 Felix Kaechele 2009-12-06 12:43:41 EST
Fresh review from FUDCon Toronto Room A:

[+] source files match upstream:
[felix@delta SPECS]$ sha256sum php-gettext-1.0.9.tar.gz ../SOURCES/php-gettext-1.0.9.tar.gz 
b3aac9dd13971cabd2474cc93abfc665752f1f732646f4c911928b4323a70319  php-gettext-1.0.9.tar.gz
b3aac9dd13971cabd2474cc93abfc665752f1f732646f4c911928b4323a70319  ../SOURCES/php-gettext-1.0.9.tar.gz
[+] package meets naming and versioning guidelines.
[+] spec is properly named, cleanly written, and uses macros consistently.
[+] dist tag is present.
[+] build root is correct.
[+] license field matches the actual license.
[+] license is open source-compatible.
[+] license text included in package.
[+] latest version is being packaged.
[NA] BuildRequires are proper.
[NA] compiler flags are appropriate.
[+] %clean is present. 
[+] package builds in mock.
[+] package installs properly.
[NA] debuginfo package looks complete.
[+] rpmlint is silent.
[+] final provides and requires are sane
[NA] %check is present and all tests pass:
[+] no shared libraries are added to the regular linker search paths.
[+] owns the directories it creates. 
[+] doesn't own any directories it shouldn't.
[+] no duplicates in %files.
[+] file permissions are appropriate.
[NA] scriptlets match those on ScriptletSnippets page.
[+] code, not content.
[+] documentation is small, so no -docs subpackage is necessary.
[+] %docs are not necessary for the proper functioning of the package.
[+] no headers.
[+] no pkgconfig files.
[NA] no libtool .la droppings.
[NA] desktop files valid and installed properly.

APPROVED!
Comment 3 David Nalley 2009-12-06 12:50:10 EST
Thanks for the review, Felix!!!

New Package CVS Request
=======================
Package Name: php-gettext
Short Description: Gettext emulation in php
Owners: ke4qqq
Branches: F-11, F-12, EL-5
InitialCC:
Comment 4 Kevin Fenzi 2009-12-06 18:20:53 EST
cvs done.
Comment 5 Fedora Update System 2009-12-06 23:17:16 EST
php-gettext-1.0.9-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/php-gettext-1.0.9-2.el5
Comment 6 Fedora Update System 2009-12-06 23:17:21 EST
php-gettext-1.0.9-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-gettext-1.0.9-2.fc12
Comment 7 Fedora Update System 2009-12-06 23:17:26 EST
php-gettext-1.0.9-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-gettext-1.0.9-2.fc11
Comment 8 Fedora Update System 2009-12-08 02:43:45 EST
php-gettext-1.0.9-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-gettext'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12876
Comment 9 Fedora Update System 2009-12-08 02:47:38 EST
php-gettext-1.0.9-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-gettext'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12903
Comment 10 Fedora Update System 2009-12-09 23:00:45 EST
php-gettext-1.0.9-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-gettext'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0984
Comment 11 Fedora Update System 2010-02-01 20:16:10 EST
php-gettext-1.0.9-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-02-01 20:18:49 EST
php-gettext-1.0.9-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-07-31 17:23:21 EDT
php-gettext-1.0.11-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-gettext-1.0.11-1.el5

Note You need to log in before you can comment on or make changes to this bug.